Description

Mac OS X 10.12.6, QGIS 2.18.15 (-3 kyngchaos.com distrib)
Processing Toolbox > GRASS GIS 7 commands > m.cogo (or v.out.vtk, or...)

The m.cogo dialog supports
Output Text file > Save to file

which brings up the usual Save File dialog in which one navigates to the target directory and specifies the desired output file name.
The path is then entered into the m.cogo dialog's Output Text file
When Run is clicked
input file paths are quoted in the command line,
but output file paths are not
for example (from the Log Messages):
m.cogo input="/Users/garthfletcher/GPS MASON/MASON Borders/M-Grvl_TFM_Survey/Moran_Dec_15_5_cogo.txt"

coordinates=946071.38,82170.46 > /Users/garthfletcher/GPS MASON/aa --overwrite

If the output path contains a space (or other char not accepted in a Unix path) then an error occurs, e.g.,:
ERROR: Sorry <MASON/aa> is not a valid option

If the output path is edited in-place in m.cogo's dialog to quote the output path then all is well.

The same issue is present in v.out.vtk and probably others.

Work around: edit path in place to add quotes

Fix: output paths need to be quoted, as is already done with input paths.

Associated revisions

Revision 0cb82860 - 2018-01-28 04:15 PM - Salvatore Larosa

Fixes #17929 - output file paths not quoted (m.cogo, v.out.vtk)

History

#1 - 2018-01-28 04:17 PM - Salvatore Larosa
- % Done changed from 0 to 100

2025-06-13 12




- Status changed from Open to Closed

Applied in changeset commit:qgis|0cb828601434f5ch8c5cd351fdec1130c3c1594c.

#2 - 2018-02-21 09:47 PM - Giovanni Manghi

- Resolution set to fixed/implemented

2025-06-13 22



